## org.apache.mahout.ep
Class Mapping.Exponential

    java.lang.Object
      org.apache.mahout.math.function.DoubleFunction
          org.apache.mahout.ep.Mapping
              org.apache.mahout.ep.Mapping.Exponential

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

Enclosing class:
  Mapping

    public static final class Mapping.Exponential

extends Mapping

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.mahout.ep.Mapping
`Mapping.Exponential, Mapping.Identity, Mapping.LogLimit, Mapping.SoftLimit`

Constructor Summary
`Mapping.Exponential()`

Method Summary
`double` `apply(double v)`
`void` `readFields(DataInput in)`
`void` `write(DataOutput out)`

Methods inherited from class org.apache.mahout.ep.Mapping
`exponential, exponential, identity, logLimit, softLimit, softLimit`

Methods inherited from class org.apache.mahout.math.function.DoubleFunction
`isDensifying`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mapping.Exponential

    public Mapping.Exponential()

Method Detail

### apply

    public double apply(double v)

  Specified by:
    `apply` in class `DoubleFunction`

### write

    public void write(DataOutput out)
               throws IOException

  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.